org.eclipse.rdf4j.query.algebra

## Class UnaryTupleOperator

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.UnaryTupleOperator

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, TupleExpr, VariableScopeChange
  Direct Known Subclasses:
    DescribeOperator, Distinct, Extension, Filter, Group, MultiProjection, Order, OwnedTupleExpr, Projection, QueryRoot, Reduced, Service, Slice

      public abstract class UnaryTupleOperator
      extends AbstractQueryModelNode
      implements TupleExpr, GraphPatternGroupable

  An abstract superclass for unary tuple operators which, by definition, has one argument.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TupleExpr` | `arg` The operator's argument.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UnaryTupleOperator()`
    `protected` | `UnaryTupleOperator(TupleExpr arg)` Creates a new unary tuple operator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnaryTupleOperator` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `TupleExpr` | `getArg()` Gets the argument of this unary tuple operator.
    `Set<String>` | `getAssuredBindingNames()` Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
    `Set<String>` | `getBindingNames()` Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.
    `int` | `hashCode()`
    `void` | `replaceChildNode(QueryModelNode current, QueryModelNode replacement)` Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that `current` is not a child node of this node.
    `void` | `setArg(TupleExpr arg)` Sets the argument of this unary tuple operator.
    `<X extends Exception> void` | `visitChildren(QueryModelVisitor<X> visitor)` Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.GraphPatternGroupable

      `isGraphPatternGroup, setGraphPatternGroup`

- - ### Field Detail

    - #### arg

          protected TupleExpr arg

      The operator's argument.

  - ### Constructor Detail

    - #### UnaryTupleOperator

          protected UnaryTupleOperator()

    - #### UnaryTupleOperator

          protected UnaryTupleOperator(TupleExpr arg)

      Creates a new unary tuple operator.
      Parameters:
        `arg` - The operator's argument, must not be `null`.

  - ### Method Detail

    - #### getArg

          public TupleExpr getArg()

      Gets the argument of this unary tuple operator.
      Returns:
        The operator's argument.

    - #### setArg

          public void setArg(TupleExpr arg)

      Sets the argument of this unary tuple operator.
      Parameters:
        `arg` - The (new) argument for this operator, must not be `null`.

    - #### getBindingNames

          public Set<String> getBindingNames()

      Description copied from interface: `TupleExpr`
      Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.
      Specified by:
        `getBindingNames` in interface `TupleExpr`
      Returns:
        A set of binding names.

    - #### getAssuredBindingNames

          public Set<String> getAssuredBindingNames()

      Description copied from interface: `TupleExpr`
      Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
      Specified by:
        `getAssuredBindingNames` in interface `TupleExpr`
      Returns:
        A set of binding names.

    - #### visitChildren

          public <X extends Exception> void visitChildren(QueryModelVisitor<X> visitor)
                                                   throws X extends Exception

      Description copied from class: `AbstractQueryModelNode`
      Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing. Subclasses should override this method when they have child nodes.
      Specified by:
        `visitChildren` in interface `QueryModelNode`
      Overrides:
        `visitChildren` in class `AbstractQueryModelNode`
      Throws:
        `X extends Exception`

    - #### replaceChildNode

          public void replaceChildNode(QueryModelNode current,
                                       QueryModelNode replacement)

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that `current` is not a child node of this node.
      Specified by:
        `replaceChildNode` in interface `QueryModelNode`
      Overrides:
        `replaceChildNode` in class `AbstractQueryModelNode`
      Parameters:
        `current` - The current child node.
        `replacement` - The new child node.

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public UnaryTupleOperator clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `TupleExpr`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.